Skip to main content
GET
/
api
/
user
/
search
/
repositories
Search Repositories
curl --request GET \
  --url https://app.all-hands.dev/api/user/search/repositories \
  --header 'X-Session-API-Key: <api-key>'
import requests

url = "https://app.all-hands.dev/api/user/search/repositories"

headers = {"X-Session-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Session-API-Key': '<api-key>'}};

fetch('https://app.all-hands.dev/api/user/search/repositories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "<string>",
    "full_name": "<string>",
    "is_public": true,
    "stargazers_count": 123,
    "link_header": "<string>",
    "pushed_at": "<string>",
    "main_branch": "<string>"
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

X-Session-API-Key
string
header
required

Query Parameters

query
string
required
per_page
integer
default:5
sort
string
default:stars
order
string
default:desc
selected_provider
enum<string> | null
Available options:
github,
gitlab,
bitbucket,
enterprise_sso

Response

Successful Response

id
string
required
full_name
string
required
git_provider
enum<string>
required
Available options:
github,
gitlab,
bitbucket,
enterprise_sso
is_public
boolean
required
stargazers_count
integer | null
pushed_at
string | null
owner_type
enum<string> | null
Available options:
user,
organization
main_branch
string | null